local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/f13jason.zip" ),
}
local prefabs = 
{

}	

local start_inv =
{
    "f13ma",
}

local fn = function(inst)

	--speech sound and map icon
	inst.soundsname = "f13jason"
	inst.MiniMapEntity:SetIcon( "f13jason.tex" )

	--Stats
	inst.components.health:SetMaxHealth(350)
	inst.components.hunger:SetMax(250)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 0.6)
	inst.components.sanity:SetMax(50)
	inst.components.combat.damagemultiplier = 4.2
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 0.8)
    inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 0.8)
	local Eater = Class(function(self, inst)
	self.strongstomach = true
	end)	
	--Sanity FX
	inst.components.sanity.night_drain_mult = 0.6
	inst.components.sanity.neg_aura_mult = 0.5
	
	--Freezing
	inst.components.temperature:SetTemp( 45 )
    local Temperature = Class(function(self, inst)
    self.inherentinsulation = 45
    end)
	
	--Attacking ranges
	local Combat = Class(function(self, inst)
	inst.components.combat.attackrange = 3
	inst.components.combat.hitrange = 2
	inst.components.combat.min_attack_period = 3
    end)
end	

-- The character select screen lines
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.f13jason = "Shambling abomination"
STRINGS.CHARACTER_NAMES.f13jason = "Jason Voorhees"
STRINGS.CHARACTER_DESCRIPTIONS.f13jason = "-Immense strength and tree cutting machete.\n-Low sanity but it doesn't drain easily.\n-Moves slowly."
STRINGS.CHARACTER_QUOTES.f13jason = ""
STRINGS.CHARACTERS.F13JASON= require "speech_f13jason"

return MakePlayerCharacter("f13jason", prefabs, assets, fn, start_inv)