local assets=
{
	Asset("ANIM", "anim/f13ma.zip"),
	Asset("ANIM", "anim/swap_f13ma.zip"),
	Asset("ATLAS", "images/inventoryimages/f13ma.xml")
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_f13ma", "swap_spear")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("spear")
    anim:SetBuild("f13ma")
    anim:PlayAnimation("idle")
    inst:AddTag("sharp")
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE* 3)
    inst:AddComponent("dapperness")
    inst.components.dapperness.dapperness = (TUNING.DAPPERNESS_MED * 1)
    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP)
    inst:AddComponent("shaver")
    inst:AddComponent("inspectable")
    inst:AddTag("irreplaceable")
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/f13ma.xml"
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    return inst
end

return Prefab( "common/inventory/f13ma", fn, assets) 
